rule correlate_genes:
    input:
        counts="results/expression/{model}/{paramspace_instance}.norm.filtered.tsv",
        ann="resources/filtered-annotation/{model}/{paramspace_instance}.csv",
    output:
        report(
            "results/plots/gene_correlation/{model}/{paramspace_instance}.{gene_a}_vs_{gene_b}.html",
            category="Correlation analysis",
            subcategory="{model}",
            labels=get_correlation_report_labels,
            caption="../report/correlation.rst",
        )
    log:
        "logs/correlate_genes/{model}/{paramspace_instance}.{gene_a}_vs_{gene_b}.log",
    params:
        model=get_model,
    conda:
        "../envs/pystats.yaml"
    script:
        "../scripts/correlate_genes.py"