log <- file(snakemake@log[[1]], open="wt")
sink(log)
sink(log, type="message")

library("edgeR")
library("tidyverse")

data <- read_tsv(
        snakemake@input[[1]]
    ) %>%
    drop_na(!c(name, type, accession)) # drop NA rows (removed due to background correction)

normcounts <- data %>%
    select(!c(name, type)) %>%
    column_to_rownames(var = "accession")

dge_list <- DGEList(counts=normcounts)

mds <- plotMDS(dge_list, plot = FALSE)

tibble(sample=colnames(normcounts), x=mds[["x"]], y=mds[["y"]]) %>%
    write_tsv(snakemake@output[[1]])