import string
import sys

sys.stderr = open(snakemake.log[0], "w")

import pandas as pd
from os import path

rcc_sheet = pd.read_csv(
        snakemake.input.rcc_sheet,
        sep="\t",
        dtype={
            "sample": str,
            "rcc": str,
            "panel": str,
        }
    )

panel_rccs = rcc_sheet.loc[rcc_sheet["panel"] == snakemake.wildcards.panel,["rcc", "sample"]]

panel_rccs["rcc"] = panel_rccs["rcc"].apply(path.basename)

sample_sheet = pd.read_csv(
        snakemake.input.sample_sheet,
        sep="\t",
        dtype={
            "sample": str,
            "group": str,
            "alias": str,
            "condition": str,
        }
    )

annotated_rccs = panel_rccs.merge(sample_sheet, how="left", on="sample")

annotated_rccs.to_csv(snakemake.output.panel_sheet, quoting=3, index=False)
